Receipt for: cellwriter

source stuff/applications/cellwriter-keyboard.desktop
# SliTaz package receipt.

PACKAGE="cellwriter"
VERSION="1.3.6"
CATEGORY="x-window"
SHORT_DESC="A grid-entry handwriting input panel."
MAINTAINER="pankso@slitaz.org"
LICENSE="GPL2"
WEB_SITE="https://github.com/risujin/cellwriter"

TARBALL="$PACKAGE-$VERSION.tar.gz"
WGET_URL="https://github.com/risujin/$PACKAGE/archive/$VERSION.tar.gz"

DEPENDS="gtk+ xorg-libXtst"
BUILD_DEPENDS="gtk+-dev xorg-libXtst-dev libpng+apng-dev xorg-libX11-dev"
HOST_ARCH="i486 arm x86_64"

# What is the latest version available today?
current_version()
{
	wget -O - ${WGET_URL%/arch*}/releases 2>/dev/null | \
	sed '/tag\//!d;s|.*tag/v*||;s|".*||;q'
}

# Rules to configure and make the package.
compile_rules()
{
	./configure \
		--without-gnome \
		$CONFIGURE_ARGS &&
	make &&
	make install
}

# Rules to gen a SliTaz package suitable for Tazpkg.
genpkg_rules()
{
	mkdir -p $fs/usr/share
	cp -a $install/usr/bin $fs/usr
	cp -a $install/usr/share/${PACKAGE} $fs/usr/share
}